Bug 522937 - Xorg: page allocation failure with F-11 update kernel 2.6.30.5-43.fc11.x86_64, causes glyph corruption
Summary: Xorg: page allocation failure with F-11 update kernel 2.6.30.5-43.fc11.x86_64...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jonathan Blandford
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-12 12:01 UTC by Matthew Garrett
Modified: 2013-04-02 04:23 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:37:06 UTC


Attachments (Terms of Use)

Description Matthew Garrett 2009-09-12 12:01:09 UTC
Following kernel backtrace when under moderate memory and i/o pressure (opening several webpages and running depmod in the background):

Xorg: page allocation failure. order:4, mode:0xc0d0
Pid: 2107, comm: Xorg Not tainted 2.6.30.5-43.fc11.x86_64 #1
Call Trace:
 [<ffffffff810da7f0>] __alloc_pages_internal+0x434/0x468
 [<ffffffff8146c893>] ? unix_stream_recvmsg+0x492/0x555
 [<ffffffff81101ec2>] alloc_pages_current+0xca/0xe9
 [<ffffffff810d8a51>] __get_free_pages+0x26/0x75
 [<ffffffff8110ab83>] __kmalloc+0x56/0x198
 [<ffffffffa00686f1>] ? kcalloc.clone.0+0x42/0x58 [i915]
 [<ffffffffa00686f1>] kcalloc.clone.0+0x42/0x58 [i915]
 [<ffffffffa0068732>] drm_calloc_large+0x2b/0x6c [i915]
 [<ffffffffa006bcc5>] i915_gem_execbuffer+0x1a9/0xd31 [i915]
 [<ffffffffa0029709>] ? drm_gem_object_reference+0x21/0x37 [drm]
 [<ffffffffa006bb1c>] ? i915_gem_execbuffer+0x0/0xd31 [i915]
 [<ffffffffa00289cc>] drm_ioctl+0x21d/0x2e9 [drm]
 [<ffffffff811149de>] ? do_sync_read+0xfa/0x14b
 [<ffffffff81123744>] vfs_ioctl+0x7e/0xaa
 [<ffffffff81123bdc>] do_vfs_ioctl+0x46c/0x4c3
 [<ffffffff81123c98>] sys_ioctl+0x65/0x9c
 [<ffffffff81012082>] system_call_fastpath+0x16/0x1b
Mem-Info:
Node 0 DMA per-cpu:
CPU    0: hi:    0, btch:   1 usd:   0
CPU    1: hi:    0, btch:   1 usd:   0
Node 0 DMA32 per-cpu:
CPU    0: hi:  186, btch:  31 usd:   0
CPU    1: hi:  186, btch:  31 usd:   7
Active_anon:293677 active_file:15328 inactive_anon:111848
 inactive_file:15424 unevictable:2 dirty:340 writeback:12984 unstable:0
 free:3583 slab:25720 mapped:27974 pagetables:8456 bounce:0
Node 0 DMA free:7160kB min:12kB low:12kB high:16kB active_anon:0kB inactive_anon:0kB active_file:0kB inactive_file:0kB unevictable:0kB present:5324kB pages_scanned:0 all_unreclaimable? no
lowmem_reserve[]: 0 1915 1915 1915
Node 0 DMA32 free:7172kB min:5592kB low:6988kB high:8388kB active_anon:1174708kB inactive_anon:447392kB active_file:61312kB inactive_file:61696kB unevictable:8kB present:1961852kB pages_scanned:0 all_unreclaimable? no
lowmem_reserve[]: 0 0 0 0
Node 0 DMA: 4*4kB 3*8kB 3*16kB 5*32kB 2*64kB 5*128kB 2*256kB 3*512kB 0*1024kB 0*2048kB 1*4096kB = 7160kB
Node 0 DMA32: 1201*4kB 24*8kB 19*16kB 3*32kB 4*64kB 2*128kB 1*256kB 0*512kB 1*1024kB 0*2048kB 0*4096kB = 7188kB
140654 total pagecache pages
21129 pages in swap cache
Swap cache stats: add 76167, delete 55038, find 28365/31173
Free swap  = 1859580kB
Total swap = 2047992kB
502528 pages RAM
15901 pages reserved
126738 pages shared
408740 pages non-shared

This is kernel 2.6.30.5-43.fc11.x86_64 with a GM45 chipset (8086:2a42). Several glyphs were corrupt afterwards. Nothing relevant in Xorg.0.log. It's a different backtrace to #505430, so I didn't want to file this as a dupe.

Comment 2 Bug Zapper 2010-04-28 10:19:11 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2010-06-28 14:37:06 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.